View Issue Details

IDProjectCategoryView StatusLast Update
0002202unrealinstallingpublic2005-01-17 15:57
ReporterStoebiAssigned Tocodemastr 
PriorityhighSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSGNU/LinuxOS Version2.4.26
Product Version3.2.3 
Target VersionFixed in Version3.2.3 
Summary0002202: - Fixed alloca warning @ Linux (post-3.2.2) is not fixed (w/SSL etc)
DescriptionHi,

have lot of warnings during compile unrealircd. For example:

make[1]: Entering directory `/home/user/ircd/Unreal3.2/src'
gcc -I../include -I/home/user/ircd/Unreal3.2/extras/regexp/include -pipe -g -O2 -funsigned-char -I/usr/include/openssl -I/usr/local/include -DZIP_LINKS -export-dynamic -L/usr/local/ssl/lib -L/usr/local/lib -c auth.c
In file included from ../include/common.h:46,
                 from ../include/struct.h:43,
                 from auth.c:21:
../include/sys.h:31:1: warning: "alloca" redefined
In file included from /usr/include/stdlib.h:576,
                 from /usr/include/openssl/crypto.h:62,
                 from /usr/include/openssl/bio.h:67,
                 from /usr/include/openssl/rsa.h:63,
                 from ../include/struct.h:32,
                 from auth.c:21:
/usr/include/alloca.h:36:1: warning: this is the location of the previous definition
gcc -I../include -I/home/user/ircd/Unreal3.2/extras/regexp/include -pipe -g -O2 -funsigned-char -I/usr/include/openssl -I/usr/local/include -DZIP_LINKS -export-dynamic -L/usr/local/ssl/lib -L/usr/local/lib -c aln.c
In file included from ../include/common.h:46,
                 from ../include/struct.h:43,
                 from aln.c:25:
../include/sys.h:31:1: warning: "alloca" redefined
In file included from /usr/include/stdlib.h:576,
                 from /usr/include/openssl/crypto.h:62,
                 from /usr/include/openssl/bio.h:67,
                 from /usr/include/openssl/rsa.h:63,
                 from ../include/struct.h:32,
                 from aln.c:25:
/usr/include/alloca.h:36:1: warning: this is the location of the previous definition
etc.


TagsNo tags attached.
3rd party modules

Relationships

has duplicate 0002256 closed make errors, cannot compile 

Activities

syzop

2004-11-29 10:28

administrator   ~0008427

oh, I never compiled with SSL so never saw that :p. I'll leave this to codemastr ;)

codemastr

2004-11-29 13:30

reporter   ~0008429

Imho, all these damn libraries with their HAVE_* macros shouldn't pollute every program that uses them!!!

syzop

2005-01-04 21:01

administrator   ~0008702

I've changed the:
#if defined(__GNUC__)
->
#if defined(__GNUC__) && !defined(alloca)
part

but did not touch/add the HAVE_ALLOCA_H stuff I mailed you about.

codemastr

2005-01-17 15:57

reporter   ~0008839

Hopefully fixed in .227

Issue History

Date Modified Username Field Change
2004-11-29 01:33 Stoebi New Issue
2004-11-29 10:28 syzop Note Added: 0008427
2004-11-29 13:30 codemastr Note Added: 0008429
2004-12-26 14:28 codemastr Relationship added has duplicate 0002256
2005-01-04 20:47 syzop Priority normal => high
2005-01-04 20:47 syzop Status new => acknowledged
2005-01-04 20:47 syzop Summary - Fixed alloca warning @ Linux (post-3.2.2) is not fixed => - Fixed alloca warning @ Linux (post-3.2.2) is not fixed (w/SSL etc)
2005-01-04 21:01 syzop Note Added: 0008702
2005-01-17 15:57 codemastr Status acknowledged => resolved
2005-01-17 15:57 codemastr Fixed in Version => 3.2.3
2005-01-17 15:57 codemastr Resolution open => fixed
2005-01-17 15:57 codemastr Assigned To => codemastr
2005-01-17 15:57 codemastr Note Added: 0008839